org.jboss.netty.handler.codec.spdy

## Interface SpdyWindowUpdateFrame

- All Known Implementing Classes:
    DefaultSpdyWindowUpdateFrame

      public interface SpdyWindowUpdateFrame

  A SPDY Protocol WINDOW_UPDATE Control Frame

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDeltaWindowSize()` Returns the Delta-Window-Size of this frame.
    `int` | `getStreamId()` Returns the Stream-ID of this frame.
    `int` | `getStreamID()` Deprecated. Use `getStreamId()` instead.
    `void` | `setDeltaWindowSize(int deltaWindowSize)` Sets the Delta-Window-Size of this frame.
    `void` | `setStreamId(int streamId)` Sets the Stream-ID of this frame.
    `void` | `setStreamID(int streamId)` Use `setStreamId(int)` instead.

- - ### Method Detail

    - #### getStreamID

          @Deprecated
          int getStreamID()

      Deprecated. Use `getStreamId()` instead.

    - #### getStreamId

          int getStreamId()

      Returns the Stream-ID of this frame.

    - #### setStreamID

          void setStreamID(int streamId)

      Use `setStreamId(int)` instead.

    - #### setStreamId

          void setStreamId(int streamId)

      Sets the Stream-ID of this frame. The Stream-ID must be positive.

    - #### getDeltaWindowSize

          int getDeltaWindowSize()

      Returns the Delta-Window-Size of this frame.

    - #### setDeltaWindowSize

          void setDeltaWindowSize(int deltaWindowSize)

      Sets the Delta-Window-Size of this frame. The Delta-Window-Size must be positive.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.